ZARAFA-MONITOR(1)

NAME
zarafa-monitor - Start the Zarafa monitor.

SYNOPSIS

zarafa-monitor [OPTION...] [SERVERNAME]

DESCRIPTION

The monitor checks user mailbox sizes. When the quota is reached the monitor sends a quota email. When started, the program will keep running.

The defaults can be overwritten in the config file.

The default settings of the monitor program are defined in zarafa-monitor.cfg(5).

OPTIONS

Various options are possible. None of these options are required.

--config, -c monitor.cfg
    Specify the location of the monitor.cfg file. If the monitor.cfg file is not specified, the monitor will try to load /etc/zarafa/monitor.cfg. If that file is not present, it will continue using it's default settings.

--host, -h path
    Connect to the Zarafa server through path, e.g. file:///path/to/socket. Default: file:///var/run/zarafa.

--foreground, -F
    Run in the foreground. Normally the monitor will daemonize and run in the background.

SIGNALS

The following signals can be sent to the zarafa-monitor process:

HUP When the HUP signal is received, some options from the configuration file are reloaded. The reloadable options are listed in the zarafa-monitor.cfg(5) manual page. Also, when using log_method = file, the logfile will be closed and a new logfile will be opened. You can use this signal in your logrotate system.

TERM
    To gracefully let the service exit, the normal TERM signal is used.

USAGE

The monitor checks user mailbox sizes. The monitor sends a quota email when the warning quota limit is reached. When started, the program will keep running.

AUTHOR

Written by Zarafa.

SEE ALSO

 zarafa-monitor.cfg(5) zarafa-server(1)